# get https://gitlab.com/%{oname}/imagescan/-/archive/archive/imagescan-archive.tar.bz2
# rename to name-version, .tar.xz
#### networkscan-plugin
# url="http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX"
# license=("custom:AVASYSPL")
# source_x86_64=("https://download2.ebz.epson.net/imagescanv3/fedora/latest1/rpm/x64/imagescan-bundle-fedora-${_fedrel}-${_pkgver}.x64.rpm.tar.gz")
# https://download2.ebz.epson.net/imagescanv3/fedora/latest1/rpm/x64/imagescan-bundle-fedora-28-1.3.38.x64.rpm.tar.gz


%define oname utsushi

Name:		imagescan
Version:	3.63.0
Release:	%mkrel 1
Summary:	EPSON Image Scan v3 front-end for scanners and all-in-ones
URL:		https://gitlab.com/utsushi/imagescan/tree/archive
Source0:	https://gitlab.com/%{oname}/imagescan/-/archive/archive/%{name}-%{version}.tar.xz
Source1:	ImageScan.desktop
License: 	GPLv3
Group:		Graphics

BuildRequires: gcc-c++
BuildRequires: ImageMagick
BuildRequires: boost-devel
BuildRequires: gtkmm2.4-devel
BuildRequires: libjpeg-devel
BuildRequires: libsane-devel
BuildRequires: libtiff-devel >= 4.0.9
BuildRequires: libudev-devel
BuildRequires: libusb-devel
BuildRequires: lib64magick-devel
BuildRequires: graphicsmagick-devel
BuildRequires: perl-Image-Magick
BuildRequires: perl-graphicsmagick

Requires: saned
Requires: gtkmm2.4
Requires: lib64GraphicsMagick3
Requires: graphicsmagick
Requires: libtiff-progs

%description
This software provides applications to easily turn hard-copy
documents and imagery into formats that are more amenable to
computer processing.

You may have to edit as root
/etc/utsushi/utsushi.conf and change it to your scanner model [].
With lsusb on terminal you become the informations which needed.

Included are a native driver for a number of EPSON scanners
and a compatibility driver to interface with software built
around the SANE standard.

SUPPORTED DEVICES:
DS-1610, DS-1630, DS-1660W, DS-310, DS-320, DS-360W, DS-40, DS-410, DS-50000, DS-510, DS-520, DS-530, DS-535, DS-535H, DS-5500, DS-560, DS-570W, DS-575W, DS-60000, DS-6500, DS-70, DS-70000, DS-7500, DS-760, DS-770, DS-775, DS-780N, DS-80W, DS-860, EC-4020 Series, EC-4030 Series, EC-4040 Series, EP-10VA Series, EP-30VA Series, EP-708A Series, EP-709A Series, EP-710A Series, EP-711A Series, EP-808A Series, EP-810A Series, EP-811A Series, EP-879A Series, EP-880A Series, EP-881A Series, EP-978A3 Series, EP-979A3 Series, EP-M570T Series, ES-200, ES-300W, ES-300WR, ES-400, ES-50, ES-50, ES-500W, ES-500WR, ES-55R, ES-60W, ES-60WB, ES-60WW, ES-65WR, ET-16500 Series, ET-2500 Series, ET-2550 Series, ET-2600 Series, ET-2610 Series, ET-2650 Series, ET-2700 Series, ET-2710 Series, ET-2720 Series, ET-2750 Series, ET-3600 Series, ET-3700 Series, ET-3750 Series, ET-4500 Series, ET-4550 Series, ET-4700 Series, ET-4750 Series, ET-7700 Series, ET-7750 Series, ET-8700 Series, ET-M2140 Series, ET-M3140 Series, ET-M3170 Series, ET-M3180 Series, EW-M5071FT Series, EW-M571T Series, EW-M630T Series, EW-M660FT Series, EW-M670FT Series, EW-M770T Series, EW-M970A3T Series, FF-640, FF-680W, GT-S650, L1455 Series, L220 Series, L222 Series, L3050 Series, L3060 Series, L3070 Series, L3100 Series, L3110 Series, L3150 Series, L3160 Series, L360 Series, L362 Series, L364 Series, L365 Series, L366 Series, L375 Series, L380 Series, L382 Series, L385 Series, L386 Series, L395 Series, L396 Series, L405 Series, L4150 Series, L4160 Series, L455 Series, L475 Series, L485 Series, L486 Series, L495 Series, L5190 Series, L565 Series, L566 Series, L575 Series, L605 Series, L6160 Series, L6170 Series, L6190 Series, L655 Series, L7160 Series, L7180 Series, LX-10000F, LX-10000FK, LX-7000F, M2140 Series, M3140 Series, M3170 Series, M3180 Series, PX-048A Series, PX-049A Series, PX-M160T Series, PX-M380F, PX-M381FL, PX-M5080F Series, PX-M5081F Series, PX-M680F Series, PX-M7050 Series, PX-M7050FP, PX-M7050FX, PX-M7070FX, PX-M7110F, PX-M7110FP, PX-M780F Series, PX-M781F Series, PX-M840FX, PX-M860F, PX-M880FX, PX-M884F, PX-M886FL, Perfection V19, Perfection V39, ST-2000 Series, ST-3000 Series, ST-4000 Series, WF-2750 Series, WF-2760 Series, WF-2860 Series, WF-3720 Series, WF-3730 Series, WF-4720 Series, WF-4730 Series, WF-4740 Series, WF-6530 Series, WF-6590 Series, WF-7710 Series, WF-7720 Series, WF-8510 Series, WF-8590 Series, WF-C17590 Series, WF-C20590 Series, WF-C5710 Series, WF-C5790 Series, WF-C5790BA, WF-C579R Series, WF-C579RB, WF-C8610 Series, WF-C8690 Series, WF-C8690B, WF-C869R Series, WF-M5799 Series, WF-R8590 Series, XP-220 Series, XP-230 Series, XP-235 Series, XP-240 Series, XP-243 245 247 Series, XP-255 257 Series, XP-332 335 Series, XP-340 Series, XP-342 343 345 Series, XP-352 355 Series, XP-430 Series, XP-432 435 Series, XP-440 Series, XP-442 445 Series, XP-452 455 Series, XP-5100 Series, XP-530 Series, XP-540 Series, XP-6000 Series, XP-6100 Series, XP-630 Series, XP-640 Series, XP-7100 Series, XP-830 Series, XP-8500 Series, XP-900 Series, XP-960 Series

%prep
%setup -q -n %{name}-%{version}
sed -e 's|-Werror||g' -i configure.ac
autoreconf -fiv

%build
%configure2_5x \
    --prefix=/usr \
    --libexecdir=/usr/lib \
    --sysconfdir=/etc \
	--with-udev-confdir=/etc/udev/rules.d \
	--disable-rpath \
	--enable-sane-config \
    --enable-udev-config \
    --with-gtkmm \
    --with-jpeg \
    --with-magick \
	--with-magick-pp \
    --with-sane \
    --with-tiff 

#--with-boost=no \\
#	--with-included-ltdl \
#	--with-included-boost
#--with-boost-libdir=/usr/lib/ \


%make CXXFLAGS="-Wno-error=parentheses" LDFLAGS="-lpthread"

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_sysconfdir}/%{oname}
install -Dm644 lib/devices.conf %{buildroot}%{_sysconfdir}/%{oname}/%{oname}.conf
mkdir -p %{buildroot}%{_datadir}/applications
install -Dm0644 %SOURCE1 %{buildroot}%{_datadir}/applications/ImageScan.desktop
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -Dm0644 drivers/esci/utsushi-esci.rules %{buildroot}%{_sysconfdir}/udev/rules.d/

find %{buildroot} -name *.la -delete
find %{buildroot} -name *.a -delete

%post
/sbin/ldconfig
echo "Remember to edit /etc/utsushi/utsushi.conf(an example can be seen in the file)"

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%{_sysconfdir}/sane.d/dll.d/%{oname}
%{_sysconfdir}/udev/rules.d/%{oname}-esci.rules

#### for next rel %config(noreplace) 
%config(noreplace) %{_sysconfdir}/%{oname}/combo.conf
%config(noreplace) %{_sysconfdir}/%{oname}/%{oname}.conf

%{_bindir}/%{oname}
%{_datadir}/applications/ImageScan.desktop

%{_includedir}/%{oname}/array.hpp
%{_includedir}/%{oname}/buffer.hpp
%{_includedir}/%{oname}/condition-variable.hpp
%{_includedir}/%{oname}/connexion.hpp
%{_includedir}/%{oname}/constraint.hpp
%{_includedir}/%{oname}/context.hpp
%{_includedir}/%{oname}/cstdint.hpp
%{_includedir}/%{oname}/descriptor.hpp
%{_includedir}/%{oname}/device-info.hpp
%{_includedir}/%{oname}/device.hpp
%{_includedir}/%{oname}/exception.hpp
%{_includedir}/%{oname}/filter.hpp
%{_includedir}/%{oname}/format.hpp
%{_includedir}/%{oname}/functional.hpp
%{_includedir}/%{oname}/i18n.hpp
%{_includedir}/%{oname}/iobase.hpp
%{_includedir}/%{oname}/key.hpp
%{_includedir}/%{oname}/log.hpp
%{_includedir}/%{oname}/media.hpp
%{_includedir}/%{oname}/memory.hpp
%{_includedir}/%{oname}/monitor.hpp
%{_includedir}/%{oname}/mutex.hpp
%{_includedir}/%{oname}/octet.hpp
%{_includedir}/%{oname}/option.hpp
%{_includedir}/%{oname}/pattern/decorator.hpp
%{_includedir}/%{oname}/preset.hpp
%{_includedir}/%{oname}/pump.hpp
%{_includedir}/%{oname}/quantity.hpp
%{_includedir}/%{oname}/range.hpp
%{_includedir}/%{oname}/regex.hpp
%{_includedir}/%{oname}/run-time.hpp
%{_includedir}/%{oname}/scanner.hpp
%{_includedir}/%{oname}/signal.hpp
%{_includedir}/%{oname}/store.hpp
%{_includedir}/%{oname}/stream.hpp
%{_includedir}/%{oname}/string.hpp
%{_includedir}/%{oname}/tag.hpp
%{_includedir}/%{oname}/thread.hpp
%{_includedir}/%{oname}/toggle.hpp
%{_includedir}/%{oname}/type-traits.hpp
%{_includedir}/%{oname}/value.hpp

%{_libdir}/sane/libsane-%{oname}.so
%{_libdir}/sane/libsane-%{oname}.so.1
%{_libdir}/sane/libsane-%{oname}.so.1.0.27

/usr/lib/%{oname}/doc-locate
/usr/lib/%{oname}/esci-interpreter
/usr/lib/%{oname}/get-text-orientation
%{_libdir}/%{oname}/libcnx-hexdump.so
%{_libdir}/%{oname}/libcnx-hexdump.so.0
%{_libdir}/%{oname}/libcnx-hexdump.so.0.0.0
%{_libdir}/%{oname}/libcnx-usb.so
%{_libdir}/%{oname}/libcnx-usb.so.0
%{_libdir}/%{oname}/libcnx-usb.so.0.0.0
%{_libdir}/%{oname}/libdrv-combo.so
%{_libdir}/%{oname}/libdrv-combo.so.0
%{_libdir}/%{oname}/libdrv-combo.so.0.0.0
%{_libdir}/%{oname}/libdrv-esci.so
%{_libdir}/%{oname}/libdrv-esci.so.0
%{_libdir}/%{oname}/libdrv-esci.so.0.0.0
%{_libdir}/%{oname}/libflt-all.so
%{_libdir}/%{oname}/libflt-all.so.0
%{_libdir}/%{oname}/libflt-all.so.0.0.0
%{_libdir}/%{oname}/lib%{oname}-gtkmm.so
%{_libdir}/%{oname}/lib%{oname}-gtkmm.so.0
%{_libdir}/%{oname}/lib%{oname}-gtkmm.so.0.0.0
%{_libdir}/%{oname}/lib%{oname}.so
%{_libdir}/%{oname}/lib%{oname}.so.0
%{_libdir}/%{oname}/lib%{oname}.so.0.0.0

%{_libdir}/%{oname}/sane/libsane-%{oname}.so
%{_libdir}/%{oname}/sane/libsane-%{oname}.so.1
%{_libdir}/%{oname}/sane/libsane-%{oname}.so.1.0.27
/usr/lib/%{oname}/%{oname}-help
/usr/lib/%{oname}/%{oname}-list
/usr/lib/%{oname}/%{oname}-main
/usr/lib/%{oname}/%{oname}-scan
/usr/lib/%{oname}/%{oname}-scan-cli
/usr/lib/%{oname}/%{oname}-scan-gtkmm
/usr/lib/%{oname}/%{oname}-version

%{_datadir}/locale/*/LC_MESSAGES/%{oname}.mo

%{_datadir}/%{oname}/drivers/esci/DS-1610.dat
%{_datadir}/%{oname}/drivers/esci/DS-1630.dat
%{_datadir}/%{oname}/drivers/esci/DS-1660W.dat
%{_datadir}/%{oname}/drivers/esci/DS-310.dat
%{_datadir}/%{oname}/drivers/esci/DS-320.dat
%{_datadir}/%{oname}/drivers/esci/DS-360W.dat
%{_datadir}/%{oname}/drivers/esci/DS-40.dat
%{_datadir}/%{oname}/drivers/esci/DS-50000.dat
%{_datadir}/%{oname}/drivers/esci/DS-510.dat
%{_datadir}/%{oname}/drivers/esci/DS-520.dat
%{_datadir}/%{oname}/drivers/esci/DS-530.dat
%{_datadir}/%{oname}/drivers/esci/DS-535.dat
%{_datadir}/%{oname}/drivers/esci/DS-535H.dat
%{_datadir}/%{oname}/drivers/esci/DS-5500.dat
%{_datadir}/%{oname}/drivers/esci/DS-560.dat
%{_datadir}/%{oname}/drivers/esci/DS-570W.dat
%{_datadir}/%{oname}/drivers/esci/DS-575W.dat
%{_datadir}/%{oname}/drivers/esci/DS-60000.dat
%{_datadir}/%{oname}/drivers/esci/DS-6500.dat
%{_datadir}/%{oname}/drivers/esci/DS-70000.dat
%{_datadir}/%{oname}/drivers/esci/DS-7500.dat
%{_datadir}/%{oname}/drivers/esci/DS-760.dat
%{_datadir}/%{oname}/drivers/esci/DS-770.dat
%{_datadir}/%{oname}/drivers/esci/DS-775.dat
%{_datadir}/%{oname}/drivers/esci/DS-860.dat
%{_datadir}/%{oname}/drivers/esci/ES-200.dat
%{_datadir}/%{oname}/drivers/esci/ES-300W.dat
%{_datadir}/%{oname}/drivers/esci/ES-400.dat
%{_datadir}/%{oname}/drivers/esci/ES-500W.dat
%{_datadir}/%{oname}/drivers/esci/PX-M7050.dat
%{_datadir}/%{oname}/drivers/esci/PX-M7050FX.dat
%{_datadir}/%{oname}/drivers/esci/PX-M860F.dat
%{_datadir}/%{oname}/drivers/esci/WF-6590.dat

%{_datadir}/%{oname}/gtkmm/about.xml
%{_datadir}/%{oname}/gtkmm/dialog.glade
%{_datadir}/%{oname}/gtkmm/dialog.rc

%changelog
* Tue Jun 23 2020 onkelho <oh.quait at gmail.com> - 3.63.0-1pclos2020
- new version - release

* Fri Jan 17 2020 onkelho <oh.quait at gmail.com> - 3.62.0-1pclos2020
- new version
- -adds driver support for new models utsushi-0.62.0 2019-11-18 

* Fri Nov 08 2019 onkelho <oh.quait at gmail.com> - 3.61.0-1pclos2019 
- new ver-rel
- - new devices DS-535H added

* Sun Apr 07 2019 onkelho <oh.quait at gmail.com> 3.55.0-1pclos2019
- new version

* Tue Feb 12 2019 onkelho <oh.quait at gmail.com> 3.50.0-4pclos2019
- add ++

* Tue Feb 12 2019 onkelho <oh.quait at gmail.com> 3.50.0-2pclos2019
- add a hint to configuration

* Tue Feb 12 2019 onkelho <oh.quait at gmail.com> 3.50.0-1pclos2019
- initial relautoreconf -vif

